---
title: URLSearchParams.values()
slug: Web/API/URLSearchParams/values
tags:
  - API
  - Iterator
  - Method
  - Reference
  - URL API
  - URLSearchParams
---
<div>{{APIRef("URL API")}}</div>

<p>The <code><strong>values()</strong></code> method of the {{domxref("URLsearchParams")}} interface returns an {{jsxref("Iteration_protocols",'iterator')}} allowing iteration through all values contained in this object. The values are {{domxref("USVString")}} objects.</p>

<p>{{availableinworkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">searchParams.values();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>Returns an {{jsxref("Iteration_protocols","iterator")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js;highlight:[5]">// Create a test URLSearchParams object
var searchParams = new URLSearchParams("key1=value1&amp;key2=value2");

// Display the values
for(var value of searchParams.values()) {
  console.log(value);
}</pre>

<p>The result is:</p>

<pre>value1
value2</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('URL', '#interface-urlsearchparams', "values() (see \"iterable\")")}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.URLSearchParams.values")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("URL")}} interface.</li>
</ul>
